uk.gov.hmrc.mongo

# lock

#### package lock

Visibility

1. Public
2. All

### Type Members

1. #### case class Lock(id: String, owner: String, timeCreated: Instant, expiryTime: Instant) extends Product with Serializable

2. #### trait LockRepository extends AnyRef

   Annotations
     @ImplementedBy()

3. #### class MongoLockRepository extends PlayMongoCollection[Lock] with LockRepository

   Annotations
     @Singleton()

4. #### trait MongoLockService extends AnyRef

### Value Members

1. #### object Lock extends Serializable

2. #### object MongoLockService

### Ungrouped